## org.apache.fop.dom.css
Class RGBColorImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.css.RGBColorImpl

public class RGBColorImpl
extends java.lang.Object
implements org.w3c.dom.css.RGBColor

Constructor Summary
`RGBColorImpl(float r, float g, float b)`

Method Summary
`org.w3c.dom.css.CSSPrimitiveValue` `getBlue()`
`org.w3c.dom.css.CSSPrimitiveValue` `getGreen()`
`org.w3c.dom.css.CSSPrimitiveValue` `getRed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RGBColorImpl

    public RGBColorImpl(float r,
                        float g,
                        float b)

Method Detail

### getRed

    public org.w3c.dom.css.CSSPrimitiveValue getRed()

  Specified by:
    getRed in interface org.w3c.dom.css.RGBColor

### getGreen

    public org.w3c.dom.css.CSSPrimitiveValue getGreen()

  Specified by:
    getGreen in interface org.w3c.dom.css.RGBColor

### getBlue

    public org.w3c.dom.css.CSSPrimitiveValue getBlue()

  Specified by:
    getBlue in interface org.w3c.dom.css.RGBColor

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.